<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-luna-user-heading" jhiTranslate="lunaheroesApp.lunaUser.home.createOrEditLabel">Create or edit a Luna User</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.lunaUser.userName" for="field_userName">User Name</label>
                    <input type="text" class="form-control" name="userName" id="field_userName"
                           formControlName="userName"/>
                    <div *ngIf="editForm.get('userName')!.invalid && (editForm.get('userName')!.dirty || editForm.get('userName')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('userName')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="lunaheroesApp.lunaUser.userPwd" for="field_userPwd">User Pwd</label>
                    <input type="text" class="form-control" name="userPwd" id="field_userPwd"
                           formControlName="userPwd"/>
                    <div *ngIf="editForm.get('userPwd')!.invalid && (editForm.get('userPwd')!.dirty || editForm.get('userPwd')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('userPwd')?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('userPwd')?.errors?.minlength" jhiTranslate="entity.validation.minlength" [translateValues]="{ min: 8 }">
                        This field is required to be at least 8 characters.
                        </small>
                    </div>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
